function init(hero) {
    hero.setName("Ertughrul Pasha/Dirilish");
    hero.setTier(6);
    hero.hide();
    
    hero.setHelmet("Fes");
    hero.setChestplate("item.superhero_armor.piece.chestpiece");
    hero.setLeggings("item.superhero_armor.piece.pants");
    hero.setBoots("item.superhero_armor.piece.boots");
    
    hero.addPowers("tmfp:sword_bow");
    hero.addAttribute("FALL_RESISTANCE", 1.0, 0);
    hero.addAttribute("JUMP_HEIGHT", 1.0, 0);
    hero.addAttribute("PUNCH_DAMAGE", 5.0, 0);
    hero.addAttribute("SPRINT_SPEED", 0.3, 1);
    hero.addAttribute("BOW_DRAWBACK", 0.3, 1);
    hero.addAttribute("ARROW_DAMAGE", 0.8, 1);
    hero.addAttribute("IMPACT_DAMAGE", 0.9, 1);
    
    hero.addKeyBind("SHIELD", "Sword", 1);

    hero.addAttributeProfile("BLADE", bladeProfile);
    hero.setAttributeProfile(getProfile);
    hero.setDamageProfile(getProfile);
    hero.addDamageProfile("BLADE", {"types": {"SHARP": 1.0}});
}

function bladeProfile(profile) {
    profile.inheritDefaults();
    profile.addAttribute("PUNCH_DAMAGE", 30.0, 0);
}

function getProfile(entity) {
    return entity.getData("fiskheroes:shield") ? "BLADE" : null;
}